var getValueObject = function (data, path, defaultValue) {
    var value = path
        .split(".")
        .reduce(function (dataValue, key) { return dataValue === null || dataValue === void 0 ? void 0 : dataValue[key]; }, data);
    return value !== undefined || value !== null ? value : defaultValue;
};
export default getValueObject;
